

#ifndef BALLDOCK_PIXMAP_H
#define BALLDOCK_PIXMAP_H

/* all points are multiplied by <r,g,b>. Doing a HueMask on a
   non grayscale image can lead to very strange results! */
struct HueMask {
  double r,g,b;
};

char *make_rgb_mix_file(char *xpmfile,char **back,struct HueMask *hm);
char *make_rgb_mix_data(char **xpmdata,char **back,struct HueMask *hm);

char *make_rgb_image_prop(char **back,struct HueMask *hm);
void make_rgb_image_foreground(char *buf,char **pixmapdata);

void apply_hue_mask(unsigned char *img,int w,int h,struct HueMask *hm);
char *rgb_morph(unsigned char *src,unsigned char *dest,double pond);

void compress_img(unsigned char *img);

#endif
