
#ifndef PortoSeguroDock_DOCK_H
#define PortoSeguroDock_DOCK_H

#include <gtk/gtk.h>

struct PortoSeguroDock {
  char icon[256];
  char exec[512];
  int  hold;
  int  applet;
  GtkWidget *square;
  char *gray,*purple;
  int running;
  int justran;
  int pid;
  int x,y,pos;
};

struct LostChild {
  int  pid;
  char exec[512];
};

void init_dock(void);
void read_dock(void);
void respawn_dock(void);

gboolean expose(GtkWidget *a,GdkEventExpose *b,gpointer c);
gboolean die(GtkWidget *w,GdkEvent *e,gpointer data);
gboolean dead(GtkWidget *w,gpointer data);
gboolean click(GtkWidget *a,GdkEventButton *b,gpointer c);
gboolean check_children(gpointer data);

gint blink_callback(gpointer data);

void fx_compress(void);
void fx_uncompress(void);
gint startup(gpointer data);

#endif
